diff --git a/doc/src/sgml/postgres-fdw.sgml b/doc/src/sgml/postgres-fdw.sgml
index 41c952fbe3..a867455669 100644
--- a/doc/src/sgml/postgres-fdw.sgml
+++ b/doc/src/sgml/postgres-fdw.sgml
@@ -933,6 +933,18 @@ postgres=# SELECT postgres_fdw_disconnect_all();
       configuration parameter used when <filename>postgres_fdw</filename>
       establishes a connection to a foreign server.  This overrides
       <varname>application_name</varname> option of the server object.
+     </para>
+     <para>
+      More specifically, postgres_fdw.application_name is used as the
+      <xref linkend="libpq-connect-application-name"/> parameter
+      when a backend process connects to an foreign server.
+      Therefore, this parameter has the same restrictions as application_name.
+      If the parameter contains non-ASCII characters,
+      a foreign server will replace them with question marks,
+      and it will truncate long strings to less than
+      <symbol>NAMEDATALEN</symbol> characters.
+     </para>
+     <para>
       Note that change of this parameter doesn't affect any existing
       connections until they are re-established.
      </para>
